Create Previred Transaction
Service that starts the complete Integration Flow with Previred and returns a transaction identifier.
This service processes all Previred validation data, generates the evidence and compliance documentation, and returns a transaction ID that can be used to retrieve the generated Token and the evidence documents.
Prerequisites
Before calling this service, you need to have:
A
serviceTransactionIdvalid one obtained by calling/onboarding/v2/identity.A
scanReferencevalid one obtained by calling/verify/documentValidation/v2/start.
Endpoint
POST /services/previredHeaders
x-api-key
string
Yes
Access authorization API Key.
Request body
Content-Type: application/json
Parameters
customerId
string
Yes
Customer ID assigned to the institution making the request.
identityTransactionId
string
Yes
Identifier returned when calling /v2/identity.
documentValidationScanReference
string
Yes
Identifier returned when calling /verify/documentValidation/v2/start.
ipVerified
string
Yes
IP address of the Identity Verification Endpoint.
callbackUrl
string
No
Optional callback URL for transaction completion notifications.
Request example
Responses
200 Success
Response parameters
timestamp
integer
Unix timestamp of the response in seconds.
transactionId
string
Transaction ID linked to the evidence generation process.
hash
string
Control string of the message received by the service (informational data).
Response example
400 Bad Request
401 Unauthorized
403 Forbidden
404 Not Found
502 Bad Gateway
504 Gateway Timeout
Last updated